%define lib_name_orig libvorbis
%define lib_major 0
%define libname %mklibname vorbis %{lib_major}
%define libnamedev %mklibname -d vorbis
%define lib_enc_major 2
%define lib_enc_name %mklibname vorbisenc %{lib_enc_major}
%define lib_file_major 3
%define lib_file_name %mklibname vorbisfile %{lib_file_major}
%define oggver 1.1.4

Name:		libvorbis
Summary:	The Vorbis General Audio Compression Codec
Version:	1.3.5
%define subrel	3
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
Patch0:		%{name}-1.3.5-CVE-2017-14633.patch
Patch1:		%{name}-1.3.5-CVE-2017-14632.patch
Patch2:		libvorbis-CVE-2018-5146.patch
BuildRequires:	libogg-devel >= %{oggver}
BuildRequires:	glibc-static-devel

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	oggvorbis < %{version}-%{release}
Provides:	oggvorbis = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedev}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_enc_name} = %{version}-%{release}
Requires:	%{lib_file_name} = %{version}-%{release}
Requires:	libogg-devel >= %{oggver}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes:	oggvorbis-devel < %{version}-%{release}
Provides:	oggvorbis-devel = %{version}-%{release}
Obsoletes:	%mklibname -d vorbis 0

%description -n	%{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{lib_enc_name}
Summary:	Encoder specialized library for %{name}
Group:		System/Libraries

%description -n	%{lib_enc_name}
This package contains the library needed for some programs using the
encoder capability of %{name}.

%package -n	%{lib_file_name}
Summary:	File operations specialized library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{lib_file_name}
This package contains the library needed for some programs using the
file operations capability of %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi -I m4/
sed -i "s/-O20/$CFLAGS/" configure
%configure2_5x --disable-static
%make

%install
%makeinstall_std
mv %{buildroot}/%{_datadir}/doc installed-docs

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/%{lib_name_orig}.so.%{lib_major}{,.*}

%files -n %{lib_enc_name}
%{_libdir}/%{lib_name_orig}enc.so.%{lib_enc_major}{,.*}

%files -n %{lib_file_name}
%{_libdir}/%{lib_name_orig}file.so.%{lib_file_major}{,.*}

%files -n %{libnamedev}
%doc installed-docs
%{_includedir}/vorbis
%{_libdir}/*.so
%{_datadir}/aclocal/vorbis.m4
%{_libdir}/pkgconfig/*


%changelog
* Fri Mar 16 2018 luigiwalser <luigiwalser> 1.3.5-2.3.mga6
  (not released yet)
+ Revision: 1209932
- add patch from mozilla to fix CVE-2018-5146
+ ns80 <ns80>
- add patches for CVE-2017-1463[23] (mga#22370)

* Tue Feb 09 2016 umeabot <umeabot> 1.3.5-2.mga6
+ Revision: 952429
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 luigiwalser <luigiwalser> 1.3.5-1.mga5
+ Revision: 817409
- 1.3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-3.mga5
+ Revision: 741516
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-2.mga5
+ Revision: 681850
- Mageia 5 Mass Rebuild

* Thu Jan 23 2014 luigiwalser <luigiwalser> 1.3.4-1.mga5
+ Revision: 567533
- 1.3.4
- remove upstreamed automake 1.13 patch

* Fri Oct 18 2013 umeabot <umeabot> 1.3.3-4.mga4
+ Revision: 507427
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.3-3.mga3
+ Revision: 358418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.3.3-2.mga3
+ Revision: 339248
- patch1: fix build with automake 1.13
+ fwang <fwang>
- disable static
- new version 1.3.3

* Mon Jan 24 2011 rtp <rtp> 1.3.2-1.mga2
+ Revision: 38063
- Call autoreconf to make sur to have a working libtool on arm (otherwise libm
  link is getting wrongly dropped resulting in ftbfs)
+ dmorgan <dmorgan>
- Remove mdv macros
+ boklm <boklm>
- imported package libvorbis

